## slepc4py 3.23.1

=== debian/changelog ===
slepc4py (3.23.1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New PETSc and SLEPc ABI 3.23.
  * Add Francesco Ballarin to uploaders.
  * Bump Standards-Version to 4.7.2.
  * Remove build/ directory after building 64-bit complex package,
    otherwise manually running test after having done dpkg-buildpackage +
    sudo debi results in the maintainer thinking that they are testing the
    default scalar type variant (i.e., 32-bit real), while actually testing the
    latest built one (i.e., 64-bit complex).

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 May 2025 18:11:21 +0200

=== debian/control ===
Source: slepc4py
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-python, chrpath,
 cython3 (>= 3.0.0~),
 python3-all-dev,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-numpy (>= 1:1.4.1-4~),
 libslepc-real3.23-dev, libpetsc-real3.23-dev,
 libslepc-complex3.23-dev, libpetsc-complex3.23-dev,
 python3-petsc4py,
 python3-petsc4py-real3.23, python3-petsc4py-complex3.23,
 libslepc64-real3.23-dev, libpetsc64-real3.23-dev,
 libslepc64-complex3.23-dev, libpetsc64-complex3.23-dev,
 python3-petsc4py-64-real3.23, python3-petsc4py-64-complex3.23,
 mpi-default-dev,
 libjs-jquery (>= 3.1.0),
 libjs-underscore (>= 1.3.1),
 sphinx-common
Build-Depends-Indep: python3-sphinx,
 latexmk,
 texinfo,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 tex-gyre
Homepage: https://pypi.python.org/packages/source/s/slepc4py
Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/slepc4py

Package: python3-slepc4py
Architecture: all
Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.23 | python3-slepc4py-complex3.23 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.23 | python3-slepc4py-64-complex3.23,
 python3-petsc4py,
 python3:any, ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a base package that depends on (Recommends) the python3
 slepc4py package with either real or complex number support. It
 provides the path to slepc4py for the system's default SLEPc version
 set in /usr/lib/slepc. Export environment variable SLEPC_DIR to use
 other versions.

Package: python3-slepc4py-real
Architecture: all
Depends: python3-slepc4py-real3.23,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with real number support.

Package: python3-slepc4py-real3.23
Architecture: any
Depends: python3-petsc4py-real3.23,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 3.23 libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.23 with real number support.

Package: python3-slepc4py-complex
Architecture: all
Depends: python3-slepc4py-complex3.23,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with complex number support.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the complex build.

Package: python3-slepc4py-complex3.23
Architecture: any
Depends: python3-petsc4py-complex3.23,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~),
Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 3.23 libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.23 with complex number support.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the complex build.

Package: python3-slepc4py-64-real
Architecture: all
Depends: python3-slepc4py-64-real3.23,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc 64-bit libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with real number support and 64-bit
 indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit build.

Package: python3-slepc4py-64-real3.23
Architecture: any
Depends: python3-petsc4py-64-real3.23,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (real numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.23 with real number support and 64-bit indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit build.

Package: python3-slepc4py-64-complex
Architecture: all
Depends: python3-slepc4py-64-complex3.23,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This is a dummy package that depends on slepc4py for
 the latest version of SLEPc with complex number support and 64-bit
 indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit complex build.

Package: python3-slepc4py-64-complex3.23
Architecture: any
Depends: python3-petsc4py-64-complex3.23,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-slepc4py (>= 3.12.0-5~)
Suggests: python-slepc4py-doc
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (complex numbers)
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of
 SLEPc 3.23 with complex number support and 64-bit indexing.
 .
 Access by setting environment variable SLEPC_DIR if the system default
 version of SLEPc is not already set to the 64-bit complex build.

Package: python-slepc4py-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1),
 ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Provides: ${python:Provides}
Breaks: python-slepc4py (<< 3.7.0-3), python-slepc4py-docs
Replaces: python-slepc4py-docs
Recommends: python3-slepc4py
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries: documentation and examples
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all
 message-passing communication.
 .
 slepc4py provides Python bindings to almost all functions of SLEPc.
 This package provides documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//p' )

# SLEPC4PY_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
export SLEPC4PY_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(SLEPC_EXT)
# use only major.minor in general soname (rather than major.minor.patch.build)
export SLEPC_BASE_VERSION=$(shell echo $(SLEPC4PY_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )

PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
SLEPC_DIR_REAL=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
SLEPC_DIR_COMPLEX=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex

PETSC64_DIR_REAL=/usr/lib/petscdir/petsc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
SLEPC64_DIR_REAL=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
PETSC64_DIR_COMPLEX=/usr/lib/petscdir/petsc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
SLEPC64_DIR_COMPLEX=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .eggs

# nothing to build for arch-indep (docs, dummy package)
override_dh_auto_configure-indep: ;
override_dh_auto_build-indep: ;
override_dh_auto_install-indep: ;

override_dh_auto_configure-arch:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)

override_dh_auto_build-arch:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
	rm -rf build
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
	rm -rf build
	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
	rm -rf build
	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
	rm -rf build
	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
	# Swap it out for a standard path, or else dh_shlibdeps gets confused
	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	PYTHONPATH=. sphinx-build -M html docs/source .pybuild/docs
	PYTHONPATH=. sphinx-build -M man docs/source .pybuild/docs
	PYTHONPATH=. sphinx-build -M info docs/source .pybuild/docs
	PYTHONPATH=. sphinx-build -M latexpdf docs/source .pybuild/docs

override_dh_auto_install-arch:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_install -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_install -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
	mkdir -p debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr
	mv debian/python3-slepc4py-real/usr/lib debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr
	mv debian/python3-slepc4py-complex/usr/lib debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr
	mkdir -p debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr
	mv debian/python3-slepc4py-64-real/usr/lib debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr
	mv debian/python3-slepc4py-64-complex/usr/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr

override_dh_installdocs:
	dh_installdocs debian/README.Debian

override_dh_sphinxdoc:
	dh_sphinxdoc -Xcontents.rst.txt

override_dh_python3-indep:
	dh_python3 -i
	dh_numpy3 -i

override_dh_python3-arch:
	dh_python3 -a
	dh_numpy3 -a
	mkdir -p debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
	mv debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib
	mv debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
	mkdir -p debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib
	mv debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib
	mv debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib

override_dh_compress:
	dh_compress -Xpdf

override_dh_installdeb:
	dh_installdeb
	for pkg in $$(dh_listpackages -a); do \
	  sed -i -e 's/__SLEPC4PY_VERSION__/$(SLEPC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
	done

## slepc4py 3.24.0

=== docs/source/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = slepc4py
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
slepc4py (3.24.0-1exp2) experimental; urgency=medium

  * debian patch doc_fix_sphinx_MR896.patch applies upstream MR#896 to
    fix doc build with sphinx 8.2. doc_build.patch: reenable autodoc.
    Closes: #1120324

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Nov 2025 21:56:20 +0100

slepc4py (3.24.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.24.
    - deprecates debian patch use_python3.patch
      (build docs with sphinx-build not python direct)
      Build-Depends: python3-sphinx instead of sphinx-common
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * debian/rules: use execute_after_dh_* instead of trivial override_dh_*
  * add debian patch doc_build.patch
    - drop pylit from doc build, since it is not (yet) packaged for
      debian. Hence demos are not processed with docs.
    - block use of extlink since network connections are not available
      during build
    - disable autodoc because of error
      unexpected keyword argument 'short_literals'
      See Bug#1120324 (upstream issue #98)
  * add debian patch doc_local_intersphinx.patch to use intersphinx
    with local objects.inv
    Build-Depends-Indep: python3-doc, python-numpy-doc,
    python-mpi4py-doc, python-pyopencl-doc, petsc3.24-doc,
    python-petsc4py-doc, slepc3.24-doc (all <!nodoc>)
  * add debian patch doc_local_petsc.patch enabling access to a local
    file copy of petsc's objects.inv via LOC_PETSC.
    Access slepc's local objects.inv via existing LOC variable.
  * build docs setting PETSC_DIR and SLEPC_DIR (as default dirs
    /usr/lib/petsc and /usr/lib/slepc, and PETSC_ARCH empty) and point
    PYTHONPATH at built package (slepc_real). Requires real build for
    arch-indep build.
  * force build of info docs since "sphinx_build -M texinfo" currently
    finds an error and fails to finish generating the info file
  * man page moved to section 3
  * override dh_auto_test to run build-time tests using runtests.py

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Nov 2025 22:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,26 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.23-dev, libpetsc-real3.23-dev,
- libslepc-complex3.23-dev, libpetsc-complex3.23-dev,
+ python3-numpy-dev,
+ libslepc-real3.24-dev, libpetsc-real3.24-dev,
+ libslepc-complex3.24-dev, libpetsc-complex3.24-dev,
  python3-petsc4py,
- python3-petsc4py-real3.23, python3-petsc4py-complex3.23,
- libslepc64-real3.23-dev, libpetsc64-real3.23-dev,
- libslepc64-complex3.23-dev, libpetsc64-complex3.23-dev,
- python3-petsc4py-64-real3.23, python3-petsc4py-64-complex3.23,
+ python3-petsc4py-real3.24, python3-petsc4py-complex3.24,
+ libslepc64-real3.24-dev, libpetsc64-real3.24-dev,
+ libslepc64-complex3.24-dev, libpetsc64-complex3.24-dev,
+ python3-petsc4py-64-real3.24, python3-petsc4py-64-complex3.24,
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1),
- sphinx-common
-Build-Depends-Indep: python3-sphinx,
+ python3-sphinx
+Build-Depends-Indep:
+ python3-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
+ python-mpi4py-doc <!nodoc>,
+ python-pyopencl-doc <!nodoc>,
+ petsc3.24-doc <!nodoc>,
+ python-petsc4py-doc <!nodoc>,
+ slepc3.24-doc <!nodoc>,
  latexmk,
  texinfo,
  texlive-fonts-recommended,
@@ -37,7 +45,7 @@
 
 Package: python3-slepc4py
 Architecture: all
-Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.23 | python3-slepc4py-complex3.23 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.23 | python3-slepc4py-64-complex3.23,
+Depends: python3-slepc4py-real | python3-slepc4py-complex | python3-slepc4py-real3.24 | python3-slepc4py-complex3.24 | python3-slepc4py-64-real | python3-slepc4py-64-complex | python3-slepc4py-64-real3.24 | python3-slepc4py-64-complex3.24,
  python3-petsc4py,
  python3:any, ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
@@ -57,7 +65,7 @@
 
 Package: python3-slepc4py-real
 Architecture: all
-Depends: python3-slepc4py-real3.23,
+Depends: python3-slepc4py-real3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -71,27 +79,27 @@
  This is a dummy package that depends on slepc4py for
  the latest version of SLEPc with real number support.
 
-Package: python3-slepc4py-real3.23
-Architecture: any
-Depends: python3-petsc4py-real3.23,
+Package: python3-slepc4py-real3.24
+Architecture: any
+Depends: python3-petsc4py-real3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Conflicts: python3-slepc4py-real (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.23 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with real number support.
+Description: Python 3 bindings for SLEPc 3.24 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with real number support.
 
 Package: python3-slepc4py-complex
 Architecture: all
-Depends: python3-slepc4py-complex3.23,
+Depends: python3-slepc4py-complex3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -108,30 +116,30 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
-Package: python3-slepc4py-complex3.23
-Architecture: any
-Depends: python3-petsc4py-complex3.23,
+Package: python3-slepc4py-complex3.24
+Architecture: any
+Depends: python3-petsc4py-complex3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~),
 Conflicts: python3-slepc4py-complex (<< 3.12.0-6~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for SLEPc 3.23 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with complex number support.
+Description: Python 3 bindings for SLEPc 3.24 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with complex number support.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the complex build.
 
 Package: python3-slepc4py-64-real
 Architecture: all
-Depends: python3-slepc4py-64-real3.23,
+Depends: python3-slepc4py-64-real3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -149,29 +157,29 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
-Package: python3-slepc4py-64-real3.23
-Architecture: any
-Depends: python3-petsc4py-64-real3.23,
+Package: python3-slepc4py-64-real3.24
+Architecture: any
+Depends: python3-petsc4py-64-real3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (real numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with real number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.24 libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with real number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit build.
 
 Package: python3-slepc4py-64-complex
 Architecture: all
-Depends: python3-slepc4py-64-complex3.23,
+Depends: python3-slepc4py-64-complex3.24,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
@@ -189,22 +197,22 @@
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.
 
-Package: python3-slepc4py-64-complex3.23
-Architecture: any
-Depends: python3-petsc4py-64-complex3.23,
+Package: python3-slepc4py-64-complex3.24
+Architecture: any
+Depends: python3-petsc4py-64-complex3.24,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-slepc4py (>= 3.12.0-5~)
 Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit SLEPc 3.23 libraries (complex numbers)
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 3 bindings to almost all functions of
- SLEPc 3.23 with complex number support and 64-bit indexing.
+Description: Python 3 bindings for 64-bit SLEPc 3.24 libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc 3.24 with complex number support and 64-bit indexing.
  .
  Access by setting environment variable SLEPC_DIR if the system default
  version of SLEPc is not already set to the 64-bit complex build.

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
 SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
+SLEPC_VERSION=$(SLEPC_MAJOR_VERSION).$(SLEPC_MINOR_VERSION)
 SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )
 
 PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
@@ -35,6 +36,9 @@
 SLEPC64_DIR_REAL=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
 PETSC64_DIR_COMPLEX=/usr/lib/petscdir/petsc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 SLEPC64_DIR_COMPLEX=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
+
+PY3VER_DEFAULT := $(shell py3versions -dv)
+DOC_PYTHONPATH=$(shell PYBUILD_NAME=slepc4py_real pybuild --print {build_dir} --pyver $(PY3VER_DEFAULT))
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -56,18 +60,21 @@
 
 # nothing to build for arch-indep (docs, dummy package)
 override_dh_auto_configure-indep: ;
-override_dh_auto_build-indep: ;
 override_dh_auto_install-indep: ;
 
-override_dh_auto_configure-arch:
+configure_real:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
+
+override_dh_auto_configure-arch: configure_real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 
-override_dh_auto_build-arch:
+build_real: configure_real
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
 	rm -rf build
+
+override_dh_auto_build-arch: build_real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
 	rm -rf build
 	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
@@ -80,11 +87,19 @@
 
 override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
-override_dh_auto_build-indep:
-	PYTHONPATH=. sphinx-build -M html docs/source .pybuild/docs
-	PYTHONPATH=. sphinx-build -M man docs/source .pybuild/docs
-	PYTHONPATH=. sphinx-build -M info docs/source .pybuild/docs
-	PYTHONPATH=. sphinx-build -M latexpdf docs/source .pybuild/docs
+override_dh_auto_build-indep: build_real
+	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
+	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
+	  sphinx-build -M html docs/source .pybuild/docs
+	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
+	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
+	  sphinx-build -M man docs/source .pybuild/docs
+	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
+	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
+	  sphinx-build -M info docs/source .pybuild/docs || make MAKEINFO="makeinfo --no-split --force" -C .pybuild/docs/texinfo
+	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
+	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
+	  sphinx-build -M latexpdf docs/source .pybuild/docs
 
 override_dh_auto_install-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
@@ -98,31 +113,11 @@
 	mv debian/python3-slepc4py-64-real/usr/lib debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr
 	mv debian/python3-slepc4py-64-complex/usr/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr
 
-override_dh_installdocs:
-	dh_installdocs debian/README.Debian
-
-override_dh_sphinxdoc:
-	dh_sphinxdoc -Xcontents.rst.txt
-
-override_dh_python3-indep:
-	dh_python3 -i
-	dh_numpy3 -i
-
-override_dh_python3-arch:
-	dh_python3 -a
-	dh_numpy3 -a
-	mkdir -p debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
-	mv debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib
-	mv debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
-	mkdir -p debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib
-	mv debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib
-	mv debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib
-
-override_dh_compress:
-	dh_compress -Xpdf
-
-override_dh_installdeb:
-	dh_installdeb
-	for pkg in $$(dh_listpackages -a); do \
-	  sed -i -e 's/__SLEPC4PY_VERSION__/$(SLEPC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
-	done
+override_dh_auto_test-arch:
+	for PY3VER in `py3versions -sv`; do \
+	    echo "... run tests for slepc4py_real on python$$PY3VER"; \
+	    PYTHONPATH=`PYBUILD_NAME=slepc4py_real pybuild --print {build_dir} --pyver $$PY3VER` SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) python$$PY3VER test/runtests.py --verbose; \
+	    echo "... run tests for slepc4py_complex on python$$PY3VER"; \
+	    PYTHONPATH=`PYBUILD_NAME=slepc4py_complex pybuild --print {build_dir} --pyver $$PY3VER` SLEPC_DIR=$(SLEPC_DIR_COMPLEX) PETSC_DIR=$(PETSC_DIR_COMPLEX) python$$PY3VER test/runtests.py --verbose; \
+	    echo "... run tests for slepc4py_64_real on python$$PY3VER"; \
+	    PYTHONPATH=`PYBUILD_NAME=slepc4py_64_real pybuild --print {build_dir} --pyver $$PY3VER` SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL) python$$PY3VER test/runtests.py --verbose; \

## slepc4py 3.24.1

=== debian/changelog ===
slepc4py (3.24.1-2) unstable; urgency=medium

  * remove separate build_real rule. It's sabotaged by the -p option to
    dh_auto_build which refuses to run the build in an arch-indep run
    (when building for docs). Instead build manually for docs if needed.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 10:23:46 +0100

slepc4py (3.24.1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-pydata-sphinx-theme,
      python3-sphobjinv <!nodoc>
  * vendor pylit in debian/pylit.py, v0.8.0 from pypi tarball
    (suggested by Lisandro Dalcin upstream issue#98)
    Update debian patch doc_build.patch to enable use of pylit during
    doc build. Copyright Günter Milde with a GPL-3+ licence.
  * update debian patch doc_build.patch to drop use of git in doc build

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 01:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,8 @@
  python3-sphinx
 Build-Depends-Indep:
  python3-doc <!nodoc>,
+ python3-pydata-sphinx-theme <!nodoc>,
+ python3-sphobjinv <!nodoc>,
  python-numpy-doc <!nodoc>,
  python-mpi4py-doc <!nodoc>,
  python-pyopencl-doc <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -62,19 +62,15 @@
 override_dh_auto_configure-indep: ;
 override_dh_auto_install-indep: ;
 
-configure_real:
+override_dh_auto_configure-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
-
-override_dh_auto_configure-arch: configure_real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 
-build_real: configure_real
+override_dh_auto_build-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
 	rm -rf build
-
-override_dh_auto_build-arch: build_real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
 	rm -rf build
 	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
@@ -87,7 +83,11 @@
 
 override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
-override_dh_auto_build-indep: build_real
+override_dh_auto_build-indep:
+	if ! [ -d $(DOC_PYTHONPATH)/slepc4py ]; then \
+	  PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL) SLEPC_DIR=$(SLEPC_DIR_REAL) PETSC_DIR=$(PETSC_DIR_REAL)  pybuild -p$(PY3VER_DEFAULT) --build; \
+	fi
+	cp debian/pylit.py $(DOC_PYTHONPATH)
 	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
 	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
 	  sphinx-build -M html docs/source .pybuild/docs
@@ -100,6 +100,7 @@
 	PYTHONPATH=$(DOC_PYTHONPATH) PETSC_DIR=/usr/lib/petsc SLEPC_DIR=/usr/lib/slepc PETSC_ARCH= \
 	  LOC=/usr/share/doc/slepc$(SLEPC_VERSION)-doc/docs LOC_PETSC=/usr/share/doc/petsc$(SLEPC_VERSION)-doc/docs \
 	  sphinx-build -M latexpdf docs/source .pybuild/docs
+	rm -f $(DOC_PYTHONPATH)/pylit.py
 
 override_dh_auto_install-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
@@ -120,4 +121,3 @@
 	    echo "... run tests for slepc4py_complex on python$$PY3VER"; \
 	    PYTHONPATH=`PYBUILD_NAME=slepc4py_complex pybuild --print {build_dir} --pyver $$PY3VER` SLEPC_DIR=$(SLEPC_DIR_COMPLEX) PETSC_DIR=$(PETSC_DIR_COMPLEX) python$$PY3VER test/runtests.py --verbose; \
 	    echo "... run tests for slepc4py_64_real on python$$PY3VER"; \
-	    PYTHONPATH=`PYBUILD_NAME=slepc4py_64_real pybuild --print {build_dir} --pyver $$PY3VER` SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL) python$$PY3VER test/runtests.py --verbose; \

## slepc4py 3.24.2

=== debian/changelog ===
slepc4py (3.24.2-2) unstable; urgency=medium

  * update debian/watch to v5 format
  * debian/tests: run lscpu in demo tests on ppc64el to report which
    CPU is being used, and report liblapack[64].so alternative links
    (for debugging openblas failure, Bugs #1126688, #1126625)
    debian/tests/control Depends: dpkg-dev, util-linux [ppc64el]

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Feb 2026 10:21:37 +0100

slepc4py (3.24.2-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch doc_fix_sphinx_MR896.patch
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 23:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-python, chrpath,
  cython3 (>= 3.0.0~),
  python3-all-dev,

=== debian/tests/control ===
Tests: run-tests run-demos
 run-tests-64 run-demos-64
Depends: @, @builddeps@,
 gzip,
 pkg-config,
 python3-all,
 dpkg-dev [ppc64el],
 util-linux [ppc64el]
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/s/slepc4py/
Matching-Pattern: slepc4py-@ANY_VERSION@@ARCHIVE_EXT@
